/*!*************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see <http://www.gnu.org/licenses/>.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/

form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

form > label {
  text-align: right;
  font-weight: bold;
  padding-right: 20px;
}

form > label > span {
  font-weight: normal;
}

.control-form {
  justify-content: center;
  flex: 1 1 100%;
  margin-bottom: 10px;
}

.mat-form-field {
  width: 300px;
}

#next-step-button {
  font-size: 1.5em;
}

.control-form-input-description {
  font-weight: bold;
}

@media screen and (min-width: 576px) {
  form {
    flex-direction: row;
  }

  .control-form-input-description {
    text-align: right;
    float: right;
    margin-right: 24px;
  }

  .control-form-input-example {
    text-align: right;
    margin-right: 24px;
    float: right;
  }
}

@media screen and (min-width: 970px) {
  .mat-form-field {
    width: 400px;
  }
}
